X_LIST(1)

NAME
x_list - Extract Cross-Over Information from the Data Base.

SYNOPSIS
x_list [ leg1 ] [ leg2 ] [ -dataflags ] [ -Rwest/east/south/north ] [ -Xxbase ] [ -H ] [ -I ] [ -V ] [ -Ccorrfile ] [ -Zignorefile ]

DESCRIPTION
x_list will allow the user to extract information from the xx_base.b and xx_legs.b files. Several options can be passed on the command line in order to specify which parameters to extract. They are:

leg1 leg2
    If two legs are specified, the cross-overs they have in common are returned. If one leg is specified, all the external cross-overs involving this leg are returned, OR only its internal cross-overs if -I is selected. If no legs are given, all the external (or internal with -I) cross-overs are returned. This program is useful if one wants to look at, say, gravity COEs versus time from port for a particular leg, etc.

dataflags
    This is a string of any combination of the following:
        l means list both legnames.
        t means list time.
        x means list longitude.
        y means list latitude.
        g means list gravity COEs.
        m means list magnetics COEs.
        b means list bathymetry COEs.
        G means list average gravity at cross-over.
        M means list average magnetic anomaly at cross-over.
        B means list average bathymetry at cross-over.
        h means list heading of ship at cross-over.
    The components are written out in the order they appear in dataflags. The default output is -txygmbGMBhl. When internal COEs are desired, the time reported is the elapsed time since the ship first occupied the cross-over point. For external COEs the time means time from the start of the year in seconds.

-R  Only return cross-overs inside the specified region west, east, south, and north. [Default is world].

-X  Indicate alternate xx_base.b file.

-H  Issue one header record on output.

-I  Report on internal COEs [Default is external COEs].

-C  Apply cross-over correction to the data (i.e., reports the cross-over value after the best-fitting corrections have been applied to both legs). If no corrfile is given, the default correction file is assumed.

-Z  Ignore those legs that appear in the ignorefile.

-V  Selects verbose mode, which will send progress reports to stderr [Default runs "silently"].

SEE ALSO
GMT(1), x_system(1)

REFERENCES
Wessel, P. XOVER: A Cross-over Error Detector for Track Data, Computers & Geosciences, 15, 333-346.